<?php

namespace App\Modules\HtlCamp\Application;

use App\Modules\HtlCamp\Domain\HtlCampRepository;
use App\Modules\HtlCamp\Domain\UpdateHtlCamp;

class HtlCampUpdater
{

    private HtlCampRepository $repository;

    public function __construct(HtlCampRepository $repository)
    {
        $this->repository = $repository;
    }

    public function __invoke(UpdateHtlCamp $htlCamp)
    {
        return $this->repository->update($htlCamp);
    }
}
